"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useForceUpdate = void 0;
const react_1 = require("react");
function useForceUpdate() {
    const count = react_1.useRef(0);
    const [, setCount] = react_1.useState(0);
    return react_1.useCallback(() => {
        if (count.current === Number.MAX_SAFE_INTEGER) {
            setCount(0);
        }
        else {
            setCount(count.current + 1);
        }
    }, []);
}
exports.useForceUpdate = useForceUpdate;
//# sourceMappingURL=useForceUpdate.js.map